Get resource state – Media API – MediaKind
Get resource state
get https://app.mk.io/api/v1/projects/:project_name/media/contentKeyPolicies/:policy_name/state
Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.
RBAC Capability Required: ams.contentkeypolicy.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name
stringRequired - policy_name
stringRequired
Response
200 OK
- status
object [ResourceStateStatus](https://docs.mediakind.com/api-reference/media-api/schemas/resourcestatestatus)Required
The status of the resource.- state
stringRequired
The state of the resource. The value depends on the resource type.
- state
Errors
400 Bad Request
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required
Pertinent information about the error- code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error.- ref
stringRequired
A reference to the request that caused the error. - status
integerRequired
The HTTP status code
- ref
- code
401 Unauthorized
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required
Pertinent information about the error- code
stringRequired - detail
stringRequired - extraDetail
map from strings to anyOptional
- code
403 Forbidden
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required
404 Not Found
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required
429 Too Many Requests
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required
500 Internal Server Error
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail)Required